Module java.desktop
Package javax.swing.plaf

# Class BorderUIResource.MatteBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.EmptyBorder
javax.swing.border.MatteBorder
javax.swing.plaf.BorderUIResource.MatteBorderUIResource

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.MatteBorderUIResource extends MatteBorder implements UIResource
A matte border UI resource.

## Field Summary

### Fields declared in class javax.swing.border.MatteBorder

`color, tileIcon`

### Fields declared in class javax.swing.border.EmptyBorder

`bottom, left, right, top`

## Constructor Summary

Constructors
Constructor
Description
`MatteBorderUIResource(int top, int left, int bottom, int right, Color color)`
Constructs a `MatteBorderUIResource`.
`MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)`
Constructs a `MatteBorderUIResource`.
`MatteBorderUIResource(Icon tileIcon)`
Constructs a `MatteBorderUIResource`.

## Method Summary

### Methods declared in class javax.swing.border.MatteBorder

`getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque, paintBorder`

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatteBorderUIResource

public MatteBorderUIResource(int top, int left, int bottom, int right, Color color)
Constructs a `MatteBorderUIResource`.

Parameters:
  `top` - the top inset of the border
  `left` - the left inset of the border
  `bottom` - the bottom inset of the border
  `right` - the right inset of the border
  `color` - the color rendered for the border

### MatteBorderUIResource

public MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)
Constructs a `MatteBorderUIResource`.

Parameters:
  `top` - the top inset of the border
  `left` - the left inset of the border
  `bottom` - the bottom inset of the border
  `right` - the right inset of the border
  `tileIcon` - the icon to be used for tiling the border

### MatteBorderUIResource

public MatteBorderUIResource(Icon tileIcon)
Constructs a `MatteBorderUIResource`.

Parameters:
  `tileIcon` - the icon to be used for tiling the border